Name:		anyremote
Version:	6.7.3
Release:	%mkrel 5
Summary:	Remote control through Bluetooth or IR connection
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		https://anyremote.sourceforge.net/
Source0:	https://sourceforge.net/projects/anyremote/files/%{name}/%{version}/%{name}-%{version}.tar.gz
Patch0:		fix_compile_error.patch
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(bluez)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(avahi-client)

Requires:	bluez
Requires:	irda-utils
Recommends:	kanyremote
# anyremote contains its own webserver since 6.0
Obsoletes:	anyremote2html

%description
The overall goal of this project is to provide wireless remote control program
on Linux through Bluetooth, InfraRed, Wi-Fi or just TCP/IP connection.

anyRemote supports wide range of modern cell phones line Nokia, SonyEricsson,
Motorola and others.

anyRemote was developed as thin "communication" layer between Bluetooth
(IR, Wi-Fi)  capable phone and Linux, and in principle could be configured to
manage almost any software.

anyRemote could be used with:
* Bluetooth connection with java client if cell phone is JSR82 compatible
* Wi-Fi connection with java client if phone supports Wi-Fi
* IR connection with java client if java realization in phone supports access
  to IR port
* ordinary TCP/IP connection with java client, if PC is connectable from
  the Internet
* Bluetooth, infrared or cable connection using AT "modem" commands
* web interface
* it supports some of IR remotes supplied with TV tuner cards (like LIRC)
* it has limited support for Bemused clients

anyRemote is a console application, but in addition there are GUI front ends
for Gnome and KDE.

%package doc
Summary:	Documentation for anyRemote
Group:		Documentation
BuildArch:	noarch

%description doc
Documentation for anyRemote.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS COPYING ChangeLog README
%exclude %{_docdir}/%{name}/doc-html/
%{_bindir}/*
%{_datadir}/%{name}/
%{_mandir}/man1/*

%files doc
%doc doc-html/*


%changelog
* Wed May 07 2025 ns80 <ns80> 6.7.3-5.mga10
+ Revision: 2181788
- add a patch from Fedora to try to fix building with GCC 15

* Wed Apr 06 2022 umeabot <umeabot> 6.7.3-4.mga9
+ Revision: 1845724
- Mageia 9 Mass Rebuild

* Sat Mar 14 2020 danf <danf> 6.7.3-3.mga8
+ Revision: 1556159
- Obsoletes anyremote2html since it now has its own HTTP server

* Tue Feb 18 2020 umeabot <umeabot> 6.7.3-2.mga8
+ Revision: 1537892
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Nov 12 2019 daviddavid <daviddavid> 6.7.3-1.mga8
+ Revision: 1459362
- new version: 6.7.3

* Sun Nov 18 2018 daviddavid <daviddavid> 6.7.2-1.mga7
+ Revision: 1331104
- new version: 6.7.2

* Fri Sep 21 2018 umeabot <umeabot> 6.7.1-2.mga7
+ Revision: 1294352
- Mageia 7 Mass Rebuild

* Thu Jan 25 2018 daviddavid <daviddavid> 6.7.1-1.mga7
+ Revision: 1196868
- new version: 6.7.1

* Sat Jan 13 2018 daviddavid <daviddavid> 6.7-1.mga7
+ Revision: 1192495
- new version: 6.7

* Sat Mar 19 2016 daviddavid <daviddavid> 6.6.1-1.mga6
+ Revision: 992985
- new version: 6.6.1

* Sat Mar 05 2016 daviddavid <daviddavid> 6.6-1.mga6
+ Revision: 986173
- new version: 6.6

* Sat Feb 13 2016 umeabot <umeabot> 6.5-2.mga6
+ Revision: 959515
- Mageia 6 Mass Rebuild

* Mon Oct 26 2015 daviddavid <daviddavid> 6.5-1.mga6
+ Revision: 895543
- new version: 6.5

* Sat Oct 24 2015 daviddavid <daviddavid> 6.4-4.mga6
+ Revision: 894857
- remove empty lang files to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 6.4-3.mga5
+ Revision: 744184
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.4-2.mga5
+ Revision: 677782
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Wed Mar 19 2014 bersuit <bersuit> 6.4-1.mga5
+ Revision: 605880
-Update to new upstream version
-Minor cosmetic changes

* Mon Oct 21 2013 umeabot <umeabot> 6.3.2-2.mga4
+ Revision: 536920
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 bersuit <bersuit> 6.3.2-1.mga4
+ Revision: 485644
- Update to new upstream release 6.3.2

* Thu Jun 13 2013 fwang <fwang> 6.3.1-1.mga4
+ Revision: 442286
- new version 6.3.1

* Mon Jun 10 2013 juancho <juancho> 6.3-1.mga4
+ Revision: 441404
- New version 6.3

* Fri Jan 11 2013 umeabot <umeabot> 6.2-2.mga3
+ Revision: 345617
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 26 2012 juancho <juancho> 6.2-1.mga3
+ Revision: 335253
- Updated to version 6.2

* Wed Oct 17 2012 fwang <fwang> 6.1.1-1.mga3
+ Revision: 307368
- new version 6.1.1

* Tue Jun 05 2012 juancho <juancho> 6.0-1.mga3
+ Revision: 255926
- Updated to 0.6

* Tue Jan 10 2012 juancho <juancho> 5.5-1.mga2
+ Revision: 194786
- Updated to 5.5

* Thu Dec 15 2011 juancho <juancho> 5.4.2-2.mga2
+ Revision: 181776
- Changed group to "System/Kernel and hardware"
- Added doc subpackage
- Changed group to "System/Kernel and Hardware"

* Thu Dec 15 2011 juancho <juancho> 5.4.2-1.mga2
+ Revision: 181726
- Fix man installation.
- imported package anyremote

